=== debian/changelog ===
dpdk (17.05.2-0ubuntu1.1~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 16 May 2018 14:34:09 +0000

dpdk (17.05.2-0ubuntu1.1) artful-security; urgency=medium

  * SECURITY UPDATE: incorrect bounds checking
    - debian/patches/CVE-2018-1059-*.patch: backported upstream patches.
    - CVE-2018-1059

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 24 Apr 2018 07:23:26 -0400

dpdk (17.05.2-0ubuntu1) artful; urgency=medium

  * New upstream stable release 17.05.2 (LP: #1716667)
    In Debian we moved already to 17.08.x in experimental so no syncs anymore
    for Artful. This fixes a lot of issues, for an overview see the announce
    mail at: http://dpdk.org/ml/archives/announce/2017-September/000144.html
  * d/p/bug-1716666-eal-pci-introduce-a-PCI-driver-flag.patch,
    d/p/bug-1716666-net-thunderx-manage-PCI-device-mapping-for-SQS-VFs.patch:
    let devices flag to not be unmapped e.g. needed for thunderX secondary
    queues (LP: #1716666).
  * d/librte-ethdev17.05.symbols: add rte_eth_tx_done_cleanup which was
    exported but missing in the maps, that got fixed in 17.05.2 - adapt the
    symbols file to be correct.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 12 Sep 2017 15:26:36 +0200

dpdk (17.05.1-4) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * Fix d/p/fix-vhost-user-socket-permission.patch: add mis-dropped
    create_unix_socket call and reposition rte_eal_set_socket_permissions
  * Fix d/p/fix-vhost-user-socket-permission.patch
    - add accidenitally dropped create_unix_socket call
    - reposition rte_eal_set_socket_permissions to match 17.05 handling of
      vhost-user server sockets (and their late binding)

  [ Luca Boccassi ]
  * Mark build-dependencies needed for documentation builds with the <!nodoc>
    build-profile to fully implement support for it.
  * Bump Standards-Version to 4.1.0. Relevant changes are nodoc support and
    build reprodicibility.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Wed, 23 Aug 2017 14:45:54 +0100

dpdk (17.05.1-3) experimental; urgency=medium

  [ Luca Boccassi ]
  * Fix reproducibility of librte-eal linuxapp.

  [ Christian Ehrhardt ]
  * d/rules: fix reference path of dpdk-devbind to match the new
    subdirectory which is in /usr/share/dpdk/usertools

 -- Luca Boccassi <luca.boccassi@gmail.com>  Fri, 18 Aug 2017 12:21:32 +0100

dpdk (17.05.1-2) experimental; urgency=medium

  * Install headers with arch-specific content in /usr/include/<multiarch>/dpdk
    to make libdpdk-dev multiarch-compliant.
    To ensure backward compatibility in x86_64, which is what most of the
    consumers use, symlink x86_64 headers in /usr/include/dpdk.
    pkg-config returns the arch-specific headers first so that other
    architectures are still compatible.
    Also create a full copy of the headers in the dpdk-dev SDK package, as it
    does not support multiple levels of headers.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Wed, 09 Aug 2017 13:02:28 +0100

dpdk (17.05.1-1) experimental; urgency=medium

  [ Luca Boccassi ]
  * New Upstream release 17.05.1.
  * Add patches to make the libraries and PMDs builds fully reproducible,
    by making the listing order of headers, source files and objects in
    the makefiles stable (via sorting).

 -- Luca Boccassi <luca.boccassi@gmail.com>  Thu, 13 Jul 2017 18:43:12 +0100

dpdk (17.05-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * New Upstream release 17.05; For a full list of changes (LP: #1691661)
    see http://dpdk.org/doc/guides/rel_notes/release_17_05.html
    - adapt to use MAJOR_ABI configuration to avoid the sub-lib abi
      version breakage of the past.
    - add d/update-helper* to update d/control and d/*.symbols for new versions
    - adapt to new build trigger and location of tests; provide further
      test tools (testacl, testpipeline) together with the already
      provided "test" tool in /usr/share/dpdk/test/ of dpdk-dev.
      Note: testpmd is installed "officially" by install-sdk and therefore
      stays separate from other test tools.
    - updated library arch availability/dependency: librte-kni is
      available on ppc64el; librte-pmd-i40e on all arches;
      librte-pmd-fm10k gone on ppc64el
    - package the 19 new sub-libs / pmds that are now built by default
    - rename and update symbols files to match the update to DPDK 17.05

  [ Luca Boccassi ]
  * Rename libraries after ABI major version rather than source version.
  * Always set CONFIG_RTE_MAJOR_ABI, even for custom config files as all the
    packaging is tuned around it.
  * Drop patches merged upstream and refresh
    fix-vhost-user-socket-permission.patch
  * Add patches to make the documentation and linker script builds fully
    reproducible. There are still reproducibility issues due to the use
    of __FILE__ and absolute paths.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Thu, 22 Jun 2017 19:20:35 +0100
